Subject: Re: bug#62816: 30.0.50; ElDoc blinks echo area when eldoc-documentation-compose is used

From: João Távora <[email-masked]>
Date: Fri, 14 Apr 2023 20:58:16 +0100

On Fri, Apr 14, 2023 at 7:53 PM Eli Zaretskii <[email-masked]> wrote:
>
> > Cc: [email-masked]
> > From: João Távora <[email-masked]>
> > Date: Fri, 14 Apr 2023 19:09:20 +0100
> >
> > On Fri, Apr 14, 2023 at 7:03 PM Dmitry Gutov <[email-masked]> wrote:
> > >
> > > On 13/04/2023 17:47, João Távora wrote:
> > > > I'll push it to master soon, but leave this issue open for comments
> > > > and/or feedback a little longer.
> > >
> > > Perhaps we want to backport it to emacs-29 as well? It *is* a bug, after
> > > all.
> >
> > Perhaps.  Yes it's a bug.  But at this point, I think that's for Eli
> > to decide (i.e. I don't exactly what the policy is now vs two/three
> > weeks ago).
>
> It depends on how bad is the bug, whether it's a regression since
> Emacs 28, and how safe is the fix.  In general, bugs should be fixed
> on the release branch, unless the risk associated with the fix is too
> high.

Right, exactly.  We were just talking about that.  This is not a
regression from Emacs 28 (I'm 99% sure).  It was already there.
But the bug is so-so-serious (somewhat annoying flickering, though
not in TTY frames).  The fix is simple enough (IMHO, of course,
because I wrote the code ... and the bug).

Do note, also, Eli, that ElDoc is a :core package.  So, if we
don't backport, people really really annoyed with this bug (
which manifests itself with Eglot primarily, though it could
manifest with other packages) can get the bugfix if they simply
upgrade ElDoc OR Eglot.  Whether it's easy or not to do that
is a matter for bug#62720.  Of course they might also get
_other_ bugs and new features, etc if they upgrade.

So maybe that weighs on your decision.  You can check out the fix
in 83b5e9cd24ddcbb04dbd5db9a07248ff7fa301ab.  If you don't say
anything I will backport in a few days.

João